import { IField } from './IField';
import { IFieldBuilderComponent } from './IFieldBuilder';
import { IFieldOptionEditorComponent } from './IFieldOptionEditor';
import { IFieldInputComponent, IFieldInputInjector } from './IFieldInput';
import { IFieldDisplayComponent } from './IFieldDisplay';
import { IFieldSelectorComponent } from './IFieldSelector';
export interface IFieldDef {
    type: string;
    displayName: string;
    field: IField;
    builder: IFieldBuilderComponent;
    input: IFieldInputComponent;
    inputInjector?: IFieldInputInjector;
    display: IFieldDisplayComponent;
    editor?: IFieldOptionEditorComponent;
    selector?: IFieldSelectorComponent;
}
export declare class FieldRegistry {
    [type: string]: IFieldDef | any;
    register(field: IFieldDef): void;
    getFields(): IFieldDef[];
}
